[PATCH] gnu: python-plotly: Update to 5.6.0.

DoneSubmitted by kiasoc5.
Details
2 participants
  • kiasoc5
  • Ludovic Courtès
Owner
unassigned
Severity
normal
K
K
kiasoc5 wrote on 27 Mar 21:42 +0200
(name . Guix Patches)(address . guix-patches@gnu.org)
MzBtfHh--3-2@tutanota.com
From 362244c4b27daa9e5f5db15c70a74767e8cb7f14 Mon Sep 17 00:00:00 2001
From: kiasoc5 <kiasoc5@tutanota.com>
Date: Sun, 27 Mar 2022 15:26:08 -0400
Subject: [PATCH] gnu: python-plotly: Update to 5.6.0.

* gnu/packages/graph.scm (python-plotly): Update to 5.6.0.
---
gnu/packages/graph.scm | 9 +++++++--
1 file changed, 7 insertions(+), 2 deletions(-)

Toggle diff (42 lines)
diff --git a/gnu/packages/graph.scm b/gnu/packages/graph.scm
index 4b46904318..500be311e0 100644
--- a/gnu/packages/graph.scm
+++ b/gnu/packages/graph.scm
@@ -212,7 +212,7 @@ (define-public r-rbiofabric
 (define-public python-plotly
   (package
     (name "python-plotly")
-    (version "4.14.3")
+    (version "5.6.0")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -221,11 +221,15 @@ (define-public python-plotly
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "02wlgy7gf3v5ckiq9ab3prm53cckxkavlghqgkk9xw2sfmmrn61q"))))
+                "0kc9v5ampq2paw6sls6zdchvqvis7b1z8xhdvlhz5xxdr1vj5xnn"))))
     (build-system python-build-system)
     (arguments
      `(#:phases
        (modify-phases %standard-phases
+          (add-before 'build 'skip-npm
+            ;; npm is not packaged so build without it
+            (lambda _
+              (setenv "SKIP_NPM" "T")))
          (add-after 'unpack 'chdir
            (lambda _
              (chdir "packages/python/plotly")
@@ -247,6 +251,7 @@ (define-public python-plotly
            python-requests
            python-retrying
            python-six
+           python-tenacity
            python-statsmodels))
     (home-page "https://plotly.com/python/")
     (synopsis "Interactive plotting library for Python")

base-commit: 2344fb10972a4cefead8e7aa3e0b807da4cf4570
-- 
2.35.1
L
L
Ludovic Courtès wrote on 23 May 15:30 +0200
(address . kiasoc5@tutanota.com)(address . 54600-done@debbugs.gnu.org)
874k1g74vq.fsf@gnu.org
Hi,

kiasoc5@tutanota.com skribis:

Toggle quote (7 lines)
>>From 362244c4b27daa9e5f5db15c70a74767e8cb7f14 Mon Sep 17 00:00:00 2001
> From: kiasoc5 <kiasoc5@tutanota.com>
> Date: Sun, 27 Mar 2022 15:26:08 -0400
> Subject: [PATCH] gnu: python-plotly: Update to 5.6.0.
>
> * gnu/packages/graph.scm (python-plotly): Update to 5.6.0.

Applied, thanks!

Ludo’.
Closed
?
Your comment

This issue is archived.

To comment on this conversation send email to 54600@debbugs.gnu.org